Previous: Sound resources, Up: Sound settings [Contents][Index]

#### 6.8.2 Sound command-line options

`-sound`
`+sound`

  Enable/disable sound emulation (`Sound=1`, `Sound=0`).

`-soundrate <value>`

  Specify the sound playback sample rate (`SoundSampleRate`). (8000..48000)

`-soundoutput <output mode>`

  Sound output mode (`SoundOutput`). (0: system decides mono/stereo, 1: always mono, 2: always stereo)

`-soundbufsize <value>`

  Specify the size of the audio buffer in milliseconds (`SoundBufferSize`).

`-soundfragsize <value>`

  Set sound fragment size (`SoundFragmentSize`). (0: very small, 1: small, 2: medium, 3: large, 4: very large)

`-sounddev <Name>`

  Specifies the name of the audio device (`SoundDeviceName`). (ahi, aix, allegro, alsa, arts, beos, bsp, coreaudio, dart, dummy, dx, hpux, midas, pulse, sdl, sgi, sun, uss, wmm)

`-soundarg <args>`

  Specifies an additional parameter for the audio device (`SoundDeviceArg`).

`-soundrecdev <name>`

  Specify recording sound driver (`SoundRecordDeviceName`). (aiff, dump, fs, iff, mp3, flac, ogg, speed, voc, wav)

`-soundrecarg <args>`

  Specify initialization parameters for recording sound driver (`SoundRecordDeviceArg`).

`-soundsuspend <seconds>`

  Specify the pause interval when audio underflows (clicks) happen. 0 means no pause is done (`SoundSuspendTime`).

`-soundvolume <volume>`

  Specify the sound volume (`SoundVolume`). (0..100)

`-samplerdev <device number>`

  Specify the device to use for audio input (`SamplerDevice`). (0: file device, 1: portaudio device)

`-samplergain <percent>`

  Specify the amount of gain (volume increase/decrease) for the audio input device (`SamplerGain`). (0..200)

`-samplename <name>`

  Specify the name of the file to use for the ’file’ audio input device (`SampleFile`).

### 6.9 Tape settings

These settings are used to control the hardware-level emulation of the Tape drive.

#### 6.9.1 Tape resources

`Datasette`

  Boolean specifying whether to emulate the datasette.

`DatasetteResetWithCPU`

  Boolean specifying whether to reset (rewind) the tape when resetting the CPU.

`DatasetteZeroGapDelay`

  Integer specifying the delay in cycles for a zero in the tap.

`DatasetteSpeedTuning`

  Integer specifying the number of cycles added to each gap in the tap.

`DatasetteTapeWobble`

  Integer specifying the maximum random number of cycles added to each gap in the tap.

`DatasetteSound`

  Boolean specifying whether to produce audible sound when playing a tape on the datasette

`DatasetteSoundVolume`

  Integer specifying the volume of the tape sound. Meaningful values are in the range 1-32767

#### 6.9.2 Tape command-line options

`-datasette`
`+datasette`

  Enable/disable datasette emulation (`Datasette=1`, `Datasette=0`).

`-dsresetwithcpu`
`+dsresetwithcpu`

  Enable/disable automatic Datasette-Reset (`DatasetteResetWithCPU=1`, `DatasetteResetWithCPU=0`).

`-dszerogapdelay <value>`

  Set delay in cycles for a zero in the tap (`DatasetteZeroGapDelay`).

`-dsspeedtuning <value>`

  Set number of cycles added to each gap in the tap (`DatasetteSpeedTuning`).

`-dstapewobble <value>`

  Set maximum random number of cycles added to each gap in the tap (`DatasetteTapeWobble`).

`-datasettesound`
`+datasettesound`

  Enable/disable Datasette sound emulation (`DatasetteSound=1`, `DatasetteSound=0`).

`-dssoundvolume <value>`

  Set the volume of the Datasette sound (`DatasetteSoundVolume`).

Previous: Sound resources, Up: Sound settings [Contents][Index]